Subject: Re: bug#3736: 23.1.50; Please use null-device instead of /dev/null

From: Michael Albinus <[email-masked]>
Date: Thu, 02 Jul 2009 17:06:31 +0200

Jason Rumney <[email-masked]> writes:

>> On W32 systems, null-device is "NUL". Not useful for Tramp, it needs
>> "/dev/null" on remote machines.
>
> What if the remote machine uses "NUL", "NLA0:" or "Dev:Nul" for its
> null device? I think tramp benefits from the use of null-device
> instead of hard-coded "/dev/null" as much as any other part of Emacs.

In case Tramp uses "/dev/null", the remote machine is expected to be
unixish. For other remote machine types, "/dev/null" is not used.

I would not carve this sentence in stone, but that's the situation
today.

Best regards, Michael.